%define pkgname Math-Pari
%define filelist %{_tmppath}/filelist-%{pkgname}-%{version}-%{release}
%define _use_internal_dependency_generator 0
%define _without_test 1
%define make_test %{?_without_test:0}%{!?_without_test:1}
%define perl_vendorarch %(perl -MConfig -le 'print $Config{installvendorarch}')

Summary:	Interface to the powerful PARI library
Version:	2.010501
Name:		perl-%{pkgname}
Release:	2AX
Epoch:		0
License:	distributable
Group:		Applications/CPAN
URL:		http://www.cpan.org
Source0:	%{pkgname}-%{version}.tar.gz
Source1:	ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-2.1.5.tar.gz

Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
PARI is a package which is aimed at efficient computations in
number theory, but also contains a large number of other useful
functions. It is somewhat related to a Computer Algebra System, but is
not really one since it treats symbolic expressions as mathematical
entities such as matrices, polynomials, series, etc..., and not as
expressions per se. However it is often much faster than other CAS,
and contains a large number of specific functions not found elsewhere,
essentially for use in number theory.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
tar -zxf %{SOURCE1}

export PERL_MM_USE_DEFAULT=1
export CFLAGS="$RPM_OPT_FLAGS"
export CCFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"
%if %{?make_test}
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# remove special files
find $RPM_BUILD_ROOT -name perllocal.pod -o -name .packlist -o -name "*.bs" \
		| xargs -i rm -f {}

# no empty directories
find $RPM_BUILD_ROOT -depth -type d -a -empty -exec rmdir {} \;

# build files list
find $RPM_BUILD_ROOT -type f -print \
	| sed "s@^$RPM_BUILD_ROOT@@g" > %{filelist}
find $RPM_BUILD_ROOT%{perl_vendorarch} -type d -print \
	| sed "s@^$RPM_BUILD_ROOT@%%dir @g" \
	| grep -v '^%dir %{perl_vendorarch}$' \
	| grep -v '/auto$' >> %{filelist}
if [ -z %{filelist} ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{filelist}

%files -f %{filelist}
%defattr(-,root,root)
%doc Changes README TODO

%changelog
* Thu Sep  1 2005 Shiro Yamada <shiro@miraclelinux.com>
- disable test

* Fri Apr 30 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - rebuild for Asianux 1.0

* Sun Feb 22 2004 Marius FERARU <altblue@n0i.net> 0:2.010501-1.n0i.1
- version 2.010501

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:2.010500-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net>
- updated Math::Pari and pari versions
- cleaned up spec file

* Sun Jan 19 2003 root <root@redhat.com> - 2.010304-1
- Specfile autogenerated.
